<?php


/**
 * Biz Flick Lite functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @subpackage Biz Flick Lite
 * @since Biz Flick Lite 1.0
 */

 function biz_flick_lite_block_assets(){
    // Enqueue theme stylesheet for the front-end.
    wp_enqueue_style( 'biz-flick-lite-style', get_stylesheet_directory_uri() . '/style.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_script('biz-flick-lite-main-script', get_stylesheet_directory_uri() . '/assets/js/script.js', array('jquery'), '1.0.0', true);

}

add_action('enqueue_block_assets', 'biz_flick_lite_block_assets');

// register own theme pattern

function biz_flick_lite_register_pattern_category() {

	$patterns = array();

	$block_pattern_categories = array(
		'biz-flick-lite' => array( 'label' => __( 'Biz Flick Lite', 'biz-flick-lite' ) )
	);

	$block_pattern_categories = apply_filters( 'biz_flick_lite_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}

add_action( 'init', 'biz_flick_lite_register_pattern_category');